<?php
/*******************************************************************
 * 版权协议：2009-2019
 * 版权所有: PHP-北京金南曦网络技术有限公司旗下PHPWMS，PHP商城系统技术支持中心http://www.php188.net，并保留所有权利。 
* PHP商城系统网址: http://www.php188.com
 * PHPWMS系统网址：http://www.phpwms.com
 * 销售电话：010-87875088
 * 销售电话：010-87875188 
*------------------------------------------------------------------
 * 这不是一个完全免费软件！您只能在不用于商业目的的前提下对程序代码进
 * 行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 *------------------------------------------------------------------
 * 文件名称：cls.timer.php
 * 摘    要：计时器类
 * 适用范围：PHPWMS 1.0
 * 版    本：1.0
 *------------------------------------------------------------------
 * Script Written By phpwms项目组
 * 最后更新： 2009-09-24 phpwms 由PHP金南曦网络技术有限公司整理发布
 *******************************************************************/

	class Timer {
		//起始时间
		private $startTime;

		//结束时间
		private $endTime;	

		// 构造函数 
		public function __construct() {
			$this -> start();
		}

		// 开始计时
		public function start() {
			$this -> startTime = microtime(true);
		}
		
		// 返回定时器的计时时间
		public function getExecTime($micro=false) {
			$this -> endTime = microtime(true);
			$execTime = $this -> endTime - $this -> startTime;
			if(!$micro) {
				$execTime = $execTime * 1000;
			}
			return round($execTime,4);
		}
	}
?>